New buttons in Firefox 3.7a2 don't look good if you have mode "icon and text"
Created attachment 427957
Screenshot

In bug 544999 and bug 546098 were realized new icons for toolbar. It's part of Firefox 4 theme. New icons look good for me in default mode but when you change mode to "icon nad text" they don't look good.